//
//  ISMath.h
//  Coffee
//
//  Created by Piero Avola on 02.03.09.
//  Copyright 2009 inventiveSoft. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ISMath : NSObject {

}

/*!
    @class ISMath
    @abstract Mathematische Berechnungen.
    @discussion Diese Klasse führt Mathematische Berechnungen durch.
    @availability 1.0 und höher.
*/

/*!
    @method md5ChecksumForString:withEncoding:
    @discussion Berechnet die md5 Prüfsumme für einen gegeben String mit gegebenem Encoding.
    @param string NSString Objekt, von dem die Prüfsumme errechnet werden soll.
    @param enc Encoding, mit dem die Prüfsumme errechnet werden soll.
    @result Prüfsumme als NSString Objekt.
    @availability 1.0 und höher.
*/


+(NSString *)md5ChecksumForString:(NSString *)string withEncoding:(NSStringEncoding)enc;

/*!
    @function logxy
    @discussion Berechnet den Logarithmus mit gegebenem Index.
    @param base Index des Logarithmus.
    @param result Wert, von dem der Logarithmus berechnet werden soll.
    @result Ergebnis der Berechnung als double.
    @availability 1.0 und höher.
*/


double logxy(double base, double result);

@end