//
//  ISNumberFormatter.h
//  Coffee Framework
//
//  Created by Piero Avola on 17.04.08.
//  Copyright 2008 inventiveSoft. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/*!
    @class ISNumberFormatter
    @abstract    Diese Klasse verhindert, dass andere Zeichen als Zahlen in ein NSTextField geschrieben werden.
    @discussion  Um diese Klasse einzusetzen, rufen sie einfach eine Methode wie [textField setFormatter:[[ISNumberFormatter alloc] init]] auf.
 Rufen sie keine Methode, dieser Klasse auf!
    @availability 1.0 und höher.
*/


@interface ISNumberFormatter : NSNumberFormatter {

}

-(NSString *)stringForObjectValue:(id)obj;
-(BOOL)getObjectValue:(id *)obj forString:(NSString *)string
      errorDescription:(NSString **)error;
-(bool)isPartialStringValid:(NSString *)partialString
      newEditingString:(NSString **)newString
      errorDescription:(NSString **)error;

@end