//
//  ISScriptClass.h
//  Coffee
//
//  Created by Piero Avola on 15.07.08.
//  Copyright 2008 inventiveSoft. All rights reserved.
//

#import <Cocoa/Cocoa.h>

/*!
    @class ISSript
    @abstract    Diese Klasse führt AppleScripts aus.
    @discussion  Mit ISScript können AppleScripts ausgeführt werden, die keine Rückgabewerte haben. Sie können entweder als Datei vorliegen, oder per Code erstellt werden.
    @availability 1.0 und höher.
*/

@interface ISScript : NSObject {

}

/*!
    @method     +instance
    @discussion Erstellt eine einzige Instenz von ISScript.
     @availability 1.0 und höher.
*/

+(ISScript *)instance;

/*!
    @method     -runScript:
    @param path Der absolute Pfad zu einer AppleScript (*.scpt) Datei.
    @discussion Führen Sie ein AppleScript aus, das in einer Datei definiert ist.
     @availability 1.0 und höher.
*/

-(void)runScript:(NSString *)path;

/*!
    @method     -runStringScript:
    @param source Ein AppleScript als NSString Objekt.
    @discussion Führen Sie ein AppleScript aus, das in im Code generiert wurde.
    @availability 1.0 und höher.
*/


-(void)runStringScript:(NSString *)source;

@end
