//
//  ISStruct.h
//  Coffee
//
//  Created by Piero Avola on 07.08.08.
//  Copyright 2008 inventiveSoft. All rights reserved.
//

#import <Foundation/Foundation.h>
#define ISDefaults [NSUserDefaults standardUserDefaults]

@interface ISStruct : NSObject {

}

/*!
    @class ISStruct
    @abstract    C Funktionen und Strukturen
    @discussion  Diese Klasse beherbergt C Funktionen und Strukturen aller Art.
    @availability 1.0 und höher.
*/

/*!
    @function ISLocalizedString
    @discussion Gibt einen lokalisierten NSString zurück.
    @param key Schlüssel in den String Tables.
    @param value Value, falls der String nicht gefunden wird.
    @param Name des String Tables oder nil, falls der Name Localized.strings ist.
    @result Lokalisierter NSString.
    @availability 1.0 und höher.
*/


NSString *ISLocalizedString(NSString *key, NSString *value, NSString *table);

/*!
    @function ISApplicationName
    @discussion Gibt den Namen der Applikation zurück.
    @result Der Name der Applikation als NSString Objekt.
    @availability 1.0 und höher.
*/


NSString *ISApplicationName(void);

/*!
    @function ISInfoKey
    @discussion Gibt einen Wert aus der Info.plist der Applikation zurück.
    @param key Schlüssel in der Info.plist als NSString Objekt.
    @result Wert in der Info.plist als NSString Objekt.
    @availability 1.0 und höher.
*/


NSString *ISInfoKey(NSString *key);



BOOL ISWorker(void);

@end
